﻿@model List<OpportunitiesLineView>
@using ARGNS.WebSite.Resources.Views.Opportunities
<div id="TableItemsForm">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>&nbsp;</th>
                <th><strong>@Opportunities.Date</strong></th>
                <th><strong>@Opportunities.ClosingDate</strong></th>
                <th><strong>@Opportunities.Status</strong></th>
                <th>@Opportunities.SalesEmp</th>
                <th>@Opportunities.Stage</th>
                <th>% @Opportunities.Closing</th>
                <th>@Opportunities.Percent</th>
                <th>@Opportunities.PotentialAmount</th>
                <th>@Opportunities.WeghttedAmount</th>
                <th>@Opportunities.DocumentType</th>
                <th align="center">@Opportunities.SBPDoc</th>
                <th>&nbsp;</th>
                <th>@Opportunities.Document</th>
                <th>&nbsp;</th>
                <th>&nbsp;</th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>
            @if (Model != null)
            {
                foreach (OpportunitiesLineView item in Model)
                {
                    var BPDocCBId = "BPDocCB" + item.Line;
                    <tr id="@("tr"+item.Line)">

                        <td>
                            <input type="hidden" id="@item.Line" value="@item.Line" />
                            <button onclick="DeleteRow(@item.Line,@item.ActivitiesList.Count)" id="@("btnDel"+item.Line)" type="button" disabled="disabled" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span> @Opportunities.Delete </button>
                        </td>
                        <td>
                            <div class="input-group date">
                                @Html.TextBox("OpenDateLine", @item.OpenDate, new { @Id = "OpenDateLine" + @item.Line, @Name = "OpenDateLine", @onchange = "LineWasChanged('" + @item.Line + "');", @disabled = "disabled", @placeholder = @Opportunities.Date, @class = "form-control", @Value = (@item.OpenDate != null && @item.OpenDate != DateTime.MinValue) ? @item.OpenDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </td>
                        <td>
                            <div class="input-group date">
                                @Html.TextBox("CloseDateLine", @item.CloseDate, new { @Id = "CloseDateLine" + @item.Line, @Name = "CloseDateLine", @onchange = "LineWasChanged('" + @item.Line + "');", @disabled = "disabled", @placeholder = @Opportunities.ClosingDate, @class = "form-control", @Value = (@item.CloseDate != null && @item.CloseDate != DateTime.MinValue) ? @item.CloseDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </td>

                        <td>
                            @Html.TextBox("Status", @item.Status, new { @Id = "StatusLine" + @item.Line, @disabled = "disabled", @placeholder = @Opportunities.Document, @class = "form-control" })
                        </td>

                        <td>
                            @Html.DropDownList("SlpCodeLine", new SelectList(
                                @item.SalesEmployeeList,
                                                                             "SlpCode",
                                                                           "SlpName", @item.SlpCode), new { @Id = "SlpCodeLine" + @item.Line, @class = "form-control", @onchange = "LineWasChanged('" + @item.Line + "');", @disabled = "disabled", })

                        </td>
                        <td>
                            @Html.DropDownList("Step_Id", new SelectList(
                                @item.StageList,
                                                                          "StepId",
                                                         "Descript", @item.Step_Id), new { @Id = "Step_IdLine" + @item.Line, @disabled = "disabled", @class = "form-control", @onchange = "LineWasChanged('" + @item.Line + "'); GetPercent('" + @item.Line + "');" })

                        </td>
                        <td>
                            <div class="progress">
                                <div id="@("progbarline"+item.Line)" class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow=@item.ClosePrcnt aria-valuemin="0" aria-valuemax="100" style="width:@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", @item.ClosePrcnt)%">
                                    <span id="@("spanline"+item.Line)">@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", @item.ClosePrcnt)% @Opportunities.Completed</span>
                                </div>
                            </div>
                        </td>

                        <td>
                            @Html.TextBox("ClosePrcnt", @item.ClosePrcnt, (string)ViewBag.Decimalformat, new { @Id = "ClosePrcntLine" + @item.Line, @placeholder = "%", @class = "form-control", @disabled = "disabled", @type = "number", @onchange = "LineWasChanged('" + @item.Line + "'); CalcularPonderado('" + @item.Line + "');" })
                        </td>

                        <td>
                            @Html.TextBox("MaxSumLoc", @item.MaxSumLoc, (string)ViewBag.Decimalformat, new { @Id = "MaxSumLocLine" + @item.Line, @placeholder = @Opportunities.PotentialAmount, @class = "form-control", @disabled = "disabled", @type = "number", @onchange = "LineWasChanged('" + @item.Line + "'); CalcularPonderado('" + @item.Line + "');" })
                        </td>

                        <td>
                            @Html.TextBox("WtSumLoc", @item.WtSumLoc, (string)ViewBag.Decimalformat, new { @Id = "WtSumLocLine" + @item.Line, @placeholder = @Opportunities.WeghttedAmount, @class = "form-control", @disabled = "disabled", @type = "number", @onchange = "LineWasChanged('" + @item.Line + "'); CalcularPotencial('" + @item.Line + "');" })
                        </td>

                        <td>
                            @Html.DropDownList("ObjTypeLine", new SelectList(
                                @item.DocumentTypeList,
                                                                       "Code",
                                                               "Name", @item.ObjType), new { @Id = "ObjTypeLine" + @item.Line, @disabled = "disabled", @class = "form-control", @onchange = "LineWasChanged('" + @item.Line + "');" })
                        </td>
                        <td align="center">
                            @*@Html.CheckBox("BPDocCB" + @item.Line, (@item.DocChkbox == "Y" ? true : false), new { @id = "BPDocCB" + @item.Line })*@
                            <input type="checkbox" id="@BPDocCBId" name="@BPDocCBId" @(item.DocChkbox == "Y" ? "checked=checked" : "")>
                        </td>
                        <td>
                            <span onclick="OpenDoc('@(item.Line)');" style="cursor:pointer;" class="glyphicon glyphicon-share-alt"></span>
                        </td>
                        <td>
                            @Html.TextBox("DocNumberLine", @item.DocNumber, new { @Id = "DocNumberLine" + @item.Line, @onchange = "LineWasChanged('" + @item.Line + "');", @placeholder = @Opportunities.Document, @disabled = "disabled", @class = "form-control" })
                        </td>
                        <td>
                            <button type="button" id="@("btnDocSearch"+item.Line)" class="btn btn-primary btn-xs" disabled="disabled" data-toggle="modal" data-target="#DocumentModal"><span class="glyphicon glyphicon-search"></span> @Opportunities.Search </button>
                        </td>
                        <td>
                            <a href='@Url.Action("AddActivity", "Opportunities", new { @pLine = @item.Line})' class="btn btn-primary btn-xs">
                                <span class="glyphicon glyphicon-plus"></span>&nbsp;@Opportunities.Add
                            </a>
                        </td>
                        <td>
                            <a href='@Url.Action("ViewActivity", "Opportunities", new { @pLine =@item.Line})' class="btn btn-primary btn-xs" target="_blank">
                                <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@Opportunities.View
                            </a>
                        </td>
                    </tr>

                }
            }

        </tbody>
    </table>
</div>
